Bug 204772 - Anaconda tracebacks with "Too many open files" at "Searching for Fedora Core installations..."
Anaconda tracebacks with "Too many open files" at "Searching for Fedora Core ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 10:29 EDT by Phil Knirsch
Modified: 2015-03-04 20:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 16:41:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2006-08-31 10:29:37 EDT
Description of problem:

I've tried to install a current (08/30/2006) FC-devel tree on my machine here.
It previously had a RHEL4.4 and a Windows XP installed.

Everything went fine until the graphical installer tried searching for older
installations. It just hung there, doing nothing with the spinning mouse pointer
and the progress bar still completely at the start.

Switching to the text console revealed that anaconda somehow ran out of file
descriptors.

Unfortunately i can't submit the trackback itself with the nice new popup from
anaconda as it couldn't open the traceback window itself anymore.

Not sure if this is related, but after doing some further manual investigations
on the shell i got this:

sh-3.1# lvm vgdisplay
File descriptor 32 left open
  No volume groups found

the line with the left open filedescriptor worries me tbh, but as i said, not
sure if this is related.

If you need to i can manually copy the text from the textconsole to this
bugzilla, but it should be easilly reproducible.

Version-Release number of selected component (if applicable):

cat /mnt/raid//fedora/development/i386/os/.discinfo
1156840796.776667
Fedora Core 5.90
i386
ALL
Fedora/base
Fedora/RPMS
Fedora/pixmaps

Thats the tree with which i tested this. Should be the one from 08/30/2006.

How reproducible:

Always

Steps to Reproduce:
1. Start a normal anaconda installation via network and NFS
2. Follow all steps until it searches for previous installations
3. Watch it freeze and spit out the "Too many open files" messages on the text
console
  
Actual results:

Installation freezes.

Expected results:

Installation should continue resp. all file descriptors should be properly closed.
Comment 1 Bill Nottingham 2006-09-01 16:41:32 EDT
Should be fixed today.

Note You need to log in before you can comment on or make changes to this bug.